# filter our plugin from provides
%global __provides_exclude_from %{_libdir}/irssi/modules/.*\\.so

Name:		irssi-otr
Version:	1.0.2
Release:	%mkrel 2
Summary:	LibOTR support for irssi
Group:		Networking/Instant messaging
License:	GPLv2+
URL:		https://github.com/cryptodotis/irssi-otr
Source0:	https://github.com/cryptodotis/irssi-otr/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	libotr-devel
BuildRequires:	irssi-devel
BuildRequires:	glib2-devel
BuildRequires:	libgcrypt-devel
Requires:	irssi
Requires:	irssi-perl

%description
LibOTR (http://www.cypherpunks.ca/otr/) support for IRSSI.

%prep
%setup -q -n %{name}-%{version}
%autopatch -p1

%build
autoreconf -vfi
%configure2_5x
%make_build V=1

%install
%make_install

#fix rights for debug pkg
chmod 755 %{buildroot}%{_libdir}/irssi/modules/libotr.so

%files
%doc README.md LICENSE ChangeLog
%{_libdir}/irssi/modules/libotr.so
%{_datadir}/irssi/help/otr


%changelog
* Fri Jan 27 2017 wally <wally> 1.0.2-2.mga6
+ Revision: 1083580
- require irssi-perl

* Mon Jan 23 2017 wally <wally> 1.0.2-1.mga6
+ Revision: 1083234
- new version 1.0.2 to fix security issue (mga#20045)
- enable debug pkg

* Thu Feb 11 2016 umeabot <umeabot> 1.0.0-2.mga6
+ Revision: 954639
- Mageia 6 Mass Rebuild

* Mon Sep 14 2015 fwang <fwang> 1.0.0-1.mga6
+ Revision: 879142
- empty debug package
- 1.0.0 final
- rebuild for new libgcrypt

* Sun Jul 06 2014 ovitters <ovitters> 1.0.0-0.1.alpha2.640e98c.mga5
+ Revision: 645232
+ rebuild (emptylog)

* Mon Dec 16 2013 boklm <boklm> 1.0.0-0.1.alpha2.640e98c.mga4
+ Revision: 557169
- imported package irssi-otr

